Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.transform
Interface RealTransformer

All Known Implementing Classes:
  FastCosineTransformer, FastHadamardTransformer, FastSineTransformer

    public interface RealTransformer

Interface for one-dimensional data sets transformations producing real results.

Such transforms include `sine transform`, `cosine transform` or `Hadamard transform`. `Fourier transform` is of a different kind and does not implement this interface since it produces `complex` results instead of real ones.

Since:
  2.0
Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $

Method Summary
`double[]` | `inversetransform(double[] f)` Inversely transform the given real data set.
`double[]` | `inversetransform(UnivariateRealFunction f, double min, double max, int n)` Inversely transform the given real function, sampled on the given interval.
`double[]` | `transform(double[] f)` Transform the given real data set.
`double[]` | `transform(UnivariateRealFunction f, double min, double max, int n)` Transform the given real function, sampled on the given interval.

Method Detail

### transform

    double[] transform(double[] f)
                       throws IllegalArgumentException

  Transform the given real data set.

  Parameters:
    `f` - the real data array to be transformed (signal)
  Returns:
    the real transformed array (spectrum)
  Throws:
    `IllegalArgumentException` - if any parameters are invalid

### transform

    double[] transform(UnivariateRealFunction f,
                       double min,
                       double max,
                       int n)
                       throws FunctionEvaluationException,
                              IllegalArgumentException

  Transform the given real function, sampled on the given interval.

  Parameters:
    `f` - the function to be sampled and transformed
    `min` - the lower bound for the interval
    `max` - the upper bound for the interval
    `n` - the number of sample points
  Returns:
    the real transformed array
  Throws:
    `FunctionEvaluationException` - if function cannot be evaluated at some point
    `IllegalArgumentException` - if any parameters are invalid

### inversetransform

    double[] inversetransform(double[] f)
                              throws IllegalArgumentException

  Inversely transform the given real data set.

  Parameters:
    `f` - the real data array to be inversely transformed (spectrum)
  Returns:
    the real inversely transformed array (signal)
  Throws:
    `IllegalArgumentException` - if any parameters are invalid

### inversetransform

    double[] inversetransform(UnivariateRealFunction f,
                              double min,
                              double max,
                              int n)
                              throws FunctionEvaluationException,
                                     IllegalArgumentException

  Inversely transform the given real function, sampled on the given interval.

  Parameters:
    `f` - the function to be sampled and inversely transformed
    `min` - the lower bound for the interval
    `max` - the upper bound for the interval
    `n` - the number of sample points
  Returns:
    the real inversely transformed array
  Throws:
    `FunctionEvaluationException` - if function cannot be evaluated at some point
    `IllegalArgumentException` - if any parameters are invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation